class LocalTime {
  LocalTime._(this.dateTime);

  factory LocalTime.fromDateTime(DateTime dateTime) =>
      LocalTime._(dateTime?.toLocal());

  final DateTime dateTime;

  String format(BuildContext context) =>
      TimeOfDay.fromDateTime(dateTime).format(context);

  /// Returns a user-friendly time description, e.g. 6:32 PM.
  @override
  String toString() {
    if (dateTime == null) {
      return '';
    }

    final hour = dateTime.hour % 12;
    final ampm = dateTime.hour == hour ? 'AM' : 'PM';
    final minute = dateTime.minute;
    final zero = minute < 10 ? '0' : '';

    return '${hour == 0 ? 12 : hour}:$zero$minute $ampm';
  }
}
